// Ex7_1.cpp
#include <stdio.h>
void pereform(int n,int m,float * p[])
{  for(int i=0;i<n;i++)
   for(int j=0;j<m;j++)
       if (p[i][j]<0)
           p[i][j]=0;
}
void print(int n,int m,float * p[])
{  for(int i=0;i<n;i++)
    { for(int j=0;j<m;j++)
        printf("%5.2f",p[i][j]);
      printf("\n");
     }
}
int main()
{float B[3][4]={1.2,-4.9 ,5.0,-8.1,
                 -3,6.1,-8.5,9.6,
               3.3,-6.7,-1.2,7.8};
float *ptr[]={(float*)&B[0],(float *)&B[1],(float *)&B[2]};
puts("INPUTED MATRIX");
print(3,4,ptr);;
pereform(3,4,ptr);
puts("RESULT MATRIX");
print(3,4,ptr);
return 0;
}
